From f083d33dd03ea6b0a7deee595be1bfb5666d2256 Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 14:24:07 -0700
Subject: version

Patch-Name: version
---
 gluon/main.py   | 2 +-
 gluon/widget.py | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/gluon/main.py b/gluon/main.py
index 97d536d..8bfd7eb 100644
--- a/gluon/main.py
+++ b/gluon/main.py
@@ -112,7 +112,7 @@ requests = 0    # gc timer
 regex_client = re.compile('[\w\-:]+(\.[\w\-]+)*\.?')  # ## to account for IPV6
 
 try:
-    version_info = open(pjoin(global_settings.gluon_parent, 'VERSION'), 'r')
+    version_info = open('/usr/share/web2py/VERSION', 'r')
     raw_version_string = version_info.read().split()[-1].strip()
     version_info.close()
     global_settings.web2py_version = raw_version_string
diff --git a/gluon/widget.py b/gluon/widget.py
index 64720bb..9b9a417 100644
--- a/gluon/widget.py
+++ b/gluon/widget.py
@@ -34,7 +34,7 @@ from gluon.utils import is_valid_ip_address, is_loopback_ip_address, getipaddrin
 ProgramName = 'web2py Web Framework'
 ProgramAuthor = 'Created by Massimo Di Pierro, Copyright 2007-' + str(
     datetime.datetime.now().year)
-ProgramVersion = read_file('VERSION').strip()
+ProgramVersion = read_file('/usr/share/web2py/VERSION').strip()
 
 ProgramInfo = '''%s
                  %s
